# Class SpotPlotter.SpotStyle

java.lang.Object
uk.ac.starlink.ttools.plot2.layer.SpotPlotter.SpotStyle

All Implemented Interfaces:
  `Style`

Enclosing class:
  `SpotPlotter`

public static class SpotPlotter.SpotStyle extends Object implements Style
Style implementation for spots. Only colour is configurable.

Since:
  17 Feb 2013
Author:
  Mark Taylor

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`Color`
`getColor()`
`Icon`
`getLegendIcon()`
Returns an icon suitable for displaying in a legend for this style.
`int`
`hashCode()`

### Methods inherited from class Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### getColor

public Color getColor()

### getLegendIcon

public Icon getLegendIcon()
Description copied from interface: `Style`
Returns an icon suitable for displaying in a legend for this style.

Specified by:
  `getLegendIcon` in interface `Style`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`